data:extend({
  {
    type = "recipe",
    name = "algae-farm",
    energy_required = 10,
    ingredients =
    {
      {"concrete", 5},
      {"iron-gear-wheel", 1},
      {"copper-plate", 2},
      {"electronic-circuit", 1}
    },
    result= "algae-farm",
    enabled = false
  },
  {
    type = "recipe",
    name = "ship-repairs",
    category = "space-construction",
    energy_required = 1,
    ingredients =
    {
      {"cargo-pod-solar", 6},
      {"cargo-pod-structural", 3},
      {"cargo-pod-energy", 1}
    },
    result= "ship-repairs",
    enabled = false
  },
  {
    type = "recipe",
    name = "cargo-pod",
    energy_required = 3,
    enabled = false,
    ingredients =
    {
      {"low-density-structure", 200},
      {"rocket-fuel", 300},
      {"rocket-control-unit", 100},
      {"solar-panel", 2}
    },
    result= "cargo-pod"
  },
  {
    type = "recipe",
    name = "cargo-pod-solar",
    energy_required = 3,
    enabled = false,
    ingredients =
    {
      {"cargo-pod", 1},
      {"solar-panel", 150}
    },
    result= "cargo-pod-solar"
  },
  {
    type = "recipe",
    name = "cargo-pod-structural",
    energy_required = 3,
    enabled = false,
    ingredients =
    {
      {"cargo-pod", 1},
      {"low-density-structure", 100},
      {"steel-plate", 100}
    },
    result= "cargo-pod-structural"
  },
  {
    type = "recipe",
    name = "cargo-pod-energy",
    energy_required = 3,
    enabled = false,
    ingredients =
    {
      {"cargo-pod", 1},
      {"copper-cable", 100},
      {"basic-accumulator", 50},
      {"electronic-circuit", 50},
      {"advanced-circuit", 20},
      {"processing-unit", 20}
    },
    result= "cargo-pod-energy"
  },
  {
    type = "recipe",
    name = "cargo-pod-vacuum-thruster",
    energy_required = 3,
    enabled = false,
    ingredients =
    {
      {"cargo-pod", 1},
      {"vacuum-thruster", 10}
    },
    result= "cargo-pod-vacuum-thruster"
  },
  {
    type = "recipe",
    name = "vacuum-thruster",
    energy_required = 30,
    enabled = false,
    ingredients =
    {
      {"copper-cable", 50},
      {"steel-plate", 10},
      {"basic-accumulator", 1},
      {"processing-unit", 2}
    },
    result= "vacuum-thruster"
  },
  {
    type = "recipe",
    name = "planetary-cargo-ship",
    category = "space-construction",
    energy_required = 1,
    ingredients =
    {
      {"cargo-pod-solar", 6},
      {"cargo-pod-structural", 10},
      {"cargo-pod-energy", 2},
      {"cargo-pod-vacuum-thruster", 2}
    },
    result= "planetary-cargo-ship",
    enabled = false
  }
})