data:extend({
     {
    type = "technology",
    name = "alternative-fuel-sources",
    icon = "__space-factorio__/graphics/technology/alternative-fuels.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "algae-farm"
      },
      {
        type = "unlock-recipe",
        recipe = "grow-algae"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-algae"
      }
    },
    prerequisites = {"rocket-silo"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"alien-science-pack", 1},
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "k-a"
  },      
  {
    type = "technology",
    name = "space-cargo",
    icon = "__space-factorio__/graphics/technology/space-cargo.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cargo-pod"
      },
--      {
--        type = "unlock-recipe",
--        recipe = "cargo-manifest"
--      },
      {
        type = "unlock-recipe",
        recipe = "cargo-pod-energy"
      },
      {
        type = "unlock-recipe",
        recipe = "cargo-pod-structural"
      },
      {
        type = "unlock-recipe",
        recipe = "cargo-pod-solar"
      }
    },
    prerequisites = {"rocket-silo"},
    unit =
    {
      count = 700,
      ingredients =
      {
        {"alien-science-pack", 1},
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "k-a"
  },      
  {
    type = "technology",
    name = "vacuum-thruster",
    icon = "__space-factorio__/graphics/technology/vacuum-thruster.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "cargo-pod-vacuum-thruster"
      },
      {
        type = "unlock-recipe",
        recipe = "vacuum-thruster"
      }
    },
    prerequisites = {"space-cargo"},
    unit =
    {
      count = 1500,
      ingredients =
      {
        {"alien-science-pack", 1},
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "k-a"
  }
  }
  )